GDBserver

Macros | Functions | Variables
win32-arm-low.c File Reference
`#include "server.h"`
`#include "win32-low.h"`

Go to the source code of this file.

## Macros
#define | CONTEXT_FLOATING_POINT 0
#define | context_offset(x) ((int)&(((CONTEXT *)NULL)->x))
#define | arm_wince_breakpoint_len 4

## Functions
void | init_registers_arm (void)
static void | arm_get_thread_context (win32_thread_info *th)
static char * | regptr (CONTEXT *c, int r)
static void | arm_fetch_inferior_register (struct regcache *regcache, win32_thread_info *th, int r)
static void | arm_store_inferior_register (struct regcache *regcache, win32_thread_info *th, int r)
static void | arm_arch_setup (void)

## Variables
const struct target_desc * | tdesc_arm
static const int | mappings []
static const unsigned long | arm_wince_breakpoint = 0xe6000010
struct win32_target_ops | the_low_target

## Macro Definition Documentation

## ◆ arm_wince_breakpoint_len

#define arm_wince_breakpoint_len 4

Definition at line 114 of file win32-arm-low.c.

## ◆ CONTEXT_FLOATING_POINT

#define CONTEXT_FLOATING_POINT 0

Definition at line 22 of file win32-arm-low.c.

Referenced by i386_get_thread_context().

## ◆ context_offset

#define context_offset | ( |  | x | ) | ((int)&(((CONTEXT *)NULL)->x))

Definition at line 39 of file win32-arm-low.c.

Referenced by arm_fetch_inferior_register().

## Function Documentation

## ◆ arm_arch_setup()

static void arm_arch_setup | ( | void |  | ) |
| static

Definition at line 106 of file win32-arm-low.c.

References init_registers_arm(), tdesc_arm, and win32_tdesc.

## ◆ arm_fetch_inferior_register()

static void arm_fetch_inferior_register | ( | struct regcache * | regcache,
|  | win32_thread_info * | th,
|  | int | r
| ) |  |
| static

Definition at line 90 of file win32-arm-low.c.

References win32_thread_info::context, context_offset, regptr(), and supply_register().

## ◆ arm_get_thread_context()

static void arm_get_thread_context | ( | win32_thread_info * | th | ) |
| static

Definition at line 30 of file win32-arm-low.c.

References win32_thread_info::context, and win32_thread_info::h.

## ◆ arm_store_inferior_register()

static void arm_store_inferior_register | ( | struct regcache * | regcache,
|  | win32_thread_info * | th,
|  | int | r
| ) |  |
| static

Definition at line 99 of file win32-arm-low.c.

References collect_register(), win32_thread_info::context, and regptr().

## ◆ init_registers_arm()

void init_registers_arm | ( | void |  | ) |

Referenced by arm_arch_setup().

## ◆ regptr()

static char* regptr | ( | CONTEXT * | c,
|  | int | r
| ) |  |
| static

Definition at line 74 of file win32-arm-low.c.

References mappings.

Referenced by arm_fetch_inferior_register(), and arm_store_inferior_register().

## Variable Documentation

## ◆ arm_wince_breakpoint

const unsigned long arm_wince_breakpoint = 0xe6000010
| static

Definition at line 113 of file win32-arm-low.c.

## ◆ mappings

const int mappings[]
| static

Initial value:
= {
context_offset (R0),
context_offset (R1),
context_offset (R2),
context_offset (R3),
context_offset (R4),
context_offset (R5),
context_offset (R6),
context_offset (R7),
context_offset (R8),
context_offset (R9),
context_offset (R10),
context_offset (R11),
context_offset (R12),
context_offset (Sp),
context_offset (Lr),
context_offset (Pc),
-1,
-1,
-1,
-1,
-1,
-1,
-1,
-1,
-1,
context_offset (Psr),
}
context_offset
#define context_offset(x)
Definition: win32-arm-low.c:39

Definition at line 40 of file win32-arm-low.c.

Referenced by regptr().

## ◆ tdesc_arm

const struct target_desc* tdesc_arm

Referenced by arm_arch_setup().

## ◆ the_low_target

struct win32_target_ops the_low_target

Initial value:
= {
arm_arch_setup,
sizeof (mappings) / sizeof (mappings[0]),
NULL,
arm_get_thread_context,
NULL,
NULL,
arm_fetch_inferior_register,
arm_store_inferior_register,
NULL,
(const unsigned char *) &arm_wince_breakpoint,
arm_wince_breakpoint_len,
NULL,
NULL,
NULL,
NULL,
NULL
}
arm_wince_breakpoint_len
#define arm_wince_breakpoint_len
Definition: win32-arm-low.c:114
arm_fetch_inferior_register
static void arm_fetch_inferior_register(struct regcache *regcache, win32_thread_info *th, int r)
Definition: win32-arm-low.c:90
arm_wince_breakpoint
static const unsigned long arm_wince_breakpoint
Definition: win32-arm-low.c:113
mappings
static const int mappings[]
Definition: win32-arm-low.c:40
arm_get_thread_context
static void arm_get_thread_context(win32_thread_info *th)
Definition: win32-arm-low.c:30
arm_arch_setup
static void arm_arch_setup(void)
Definition: win32-arm-low.c:106
arm_store_inferior_register
static void arm_store_inferior_register(struct regcache *regcache, win32_thread_info *th, int r)
Definition: win32-arm-low.c:99

Definition at line 116 of file win32-arm-low.c.